## python-model-bakery 1.7.0

=== Makefile ===
help:
	@echo "Available Targets:"
	@cat Makefile | egrep '^(\w+?):' | sed 's/:\(.*\)//g' | sed 's/^/- /g'

test:
	@python -m pytest

release:
	@python setup.py sdist bdist_wheel
	@twine upload dist/*

lint:
	@black .
	@isort .
	@flake8 .
	@pydocstyle .

.PHONY: test release

=== requirements.txt ===
django>=3.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ModelMommy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ModelMommy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ModelMommy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ModelMommy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-model-bakery 1.4.0

=== debian/changelog ===
python-model-bakery (1.4.0-2) unstable; urgency=medium

  * Source only upload

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Feb 2022 14:30:43 +0000

python-model-bakery (1.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1005114: ITP: python-model-bakery --
    smart object creation facility for Django (Python 3 version))

 -- Neil Williams <codehelp@debian.org>  Mon, 07 Feb 2022 14:25:37 +0000

=== debian/control ===
Source: python-model-bakery
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Neil Williams <codehelp@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all,
 python3-django,
 python3-sphinx <!nodoc>,
 python3-pytest <!nocheck>,
 python3-pytest-django <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://github.com/model-bakers/model_bakery
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-model-bakery
Vcs-Git: https://salsa.debian.org/python-team/packages/python-model-bakery.git
#Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-model-bakery
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-model-bakery-doc
Description: smart object creation facility for Django (Python 3 version)
 Model-Bakery is the replacement for model-mommy and offers you a smart way
 to create fixtures for testing in Django.  With a simple and powerful API
 you can create many objects with a single line of code.
 .
 This package installs the library for Python 3.

Package: python-model-bakery-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: smart object creation facility for Django (common documentation)
 Model-Bakery is the replacement for model-mommy and offers you a smart way
 to create fixtures for testing in Django.  With a simple and powerful API
 you can create many objects with a single line of code.
 .
 This is the common documentation package.

## python-model-bakery 1.7.0

=== debian/changelog ===
python-model-bakery (1.7.0-1) unstable; urgency=medium

  * New upstream release drops support for Django2
  * BD on pytest-django 4.5.2 for test support

 -- Neil Williams <codehelp@debian.org>  Mon, 15 Aug 2022 09:37:37 +0100

python-model-bakery (1.4.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports. 

 -- Neil Williams <codehelp@debian.org>  Wed, 02 Mar 2022 11:20:11 +0000

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  dh-python,
  python3-setuptools,
  python3-all,
- python3-django,
+ python3-django (>= 3.2),
  python3-sphinx <!nodoc>,
- python3-pytest <!nocheck>,
- python3-pytest-django <!nocheck>,
+ python3-pytest (>= 7.1.2) <!nocheck>,
+ python3-pytest-django (>= 4.5.2) <!nocheck>,
 Standards-Version: 4.6.0
 Homepage: https://github.com/model-bakers/model_bakery
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-model-bakery
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-model-bakery.git
-#Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-model-bakery
@@ -33,6 +33,7 @@
 Package: python-model-bakery-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: smart object creation facility for Django (common documentation)
  Model-Bakery is the replacement for model-mommy and offers you a smart way

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=model-bakery

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

export http_proxy=127.0.0.1:9

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/source/ build/html # HTML generator

override_dh_auto_test:
	PYTHONPATH=. pytest-3 -s -vv tests/
override_dh_auto_clean:
	dh_auto_clean
	$(RM) -f build/

## python-model-bakery 1.20.0

=== debian/changelog ===
python-model-bakery (1.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Remove obsolete Lintian override.
  * Simplify some overrides in debian/rules.
  * Switch to autopkgtest-pkg-pybuild.
  * Fix typo in debian/README.source.

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Dec 2024 11:50:09 +0000

## python-model-bakery 1.20.1

=== debian/changelog ===
python-model-bakery (1.20.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Jan 2025 18:25:11 +0000

## python-model-bakery 1.20.3

=== debian/changelog ===
python-model-bakery (1.20.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Feb 2025 01:57:38 +0000

## python-model-bakery 1.20.4

=== debian/changelog ===
python-model-bakery (1.20.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Mar 2025 18:04:57 +0000

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,24 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Neil Williams <codehelp@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
- python3-setuptools,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-django (>= 3.2),
- python3-sphinx <!nodoc>,
+ python3-django (>= 3:4.2),
+ python3-hatchling,
+ python3-myst-parser <!nodoc>,
  python3-pytest (>= 7.1.2) <!nocheck>,
  python3-pytest-django (>= 4.5.2) <!nocheck>,
-Standards-Version: 4.6.0
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://github.com/model-bakers/model_bakery
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-model-bakery
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-model-bakery.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-model-bakery

## python-model-bakery 1.20.5

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,7 @@
 
 lint:
 	@black .
-	@isort .
-	@flake8 .
-	@pydocstyle .
+	@ruff .
+	@mypy model_bakery
 
-.PHONY: test release
+.PHONY: help test release lint

=== debian/changelog ===
python-model-bakery (1.20.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Aug 2025 11:46:46 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=model-bakery

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs build/html # HTML generator

execute_after_dh_auto_clean:
	$(RM) -f build/

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%model_bakery-$1.tar.gz%" \
   https://github.com/model-bakers/model_bakery/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
